﻿@charset "UTF-8";
.chess-card.locked {
  opacity: 0.3;
}

a.locked {
  cursor: default;
}

.game-card {
  padding: 40px;
  position: relative;
  text-align: center;
}

.game-card .wrap-icon > span {
  color: #fff;
  font-size: 2rem;
  text-align: center;
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.game-card .wrap-icon {
  border-style: solid;
  border-color: white;
  position: relative;
  width: 100px;
  margin-left: auto;
  margin-right: auto;
  height: 60px;
  display: block;
  border-radius: 50%;
  margin-top: -70px;
  margin-bottom: 5px;
}

.game-card p {
  color: rgba(255, 255, 255, 0.7);
}

.game-card h2 {
  font-size: 18px;
  color: #fff;
}

div.chess_board div.chess_player_black.chess_piece_pawn {
  background-image: url("../../img/pieces/bn/bP.png");
}

div.chess_board div.chess_player_black.chess_piece_rook {
  background-image: url("../../img/pieces/bn/bR.png");
}

div.chess_board div.chess_player_black.chess_piece_knight {
  background-image: url("../../img/pieces/bn/bN.png");
}

div.chess_board div.chess_player_black.chess_piece_bishop {
  background-image: url("../../img/pieces/bn/bB.png");
}

div.chess_board div.chess_player_black.chess_piece_queen {
  background-image: url("../../img/pieces/bn/bQ.png");
}

div.chess_board div.chess_player_black.chess_piece_king {
  background-image: url("../../img/pieces/bn/bK.png");
}

div.chess_board div.chess_player_white.chess_piece_pawn {
  background-image: url("../../img/pieces/bn/wP.png");
}

div.chess_board div.chess_player_white.chess_piece_rook {
  background-image: url("../../img/pieces/bn/wR.png");
}

div.chess_board div.chess_player_white.chess_piece_knight {
  background-image: url("../../img/pieces/bn/wN.png");
}

div.chess_board div.chess_player_white.chess_piece_bishop {
  background-image: url("../../img/pieces/bn/wB.png");
}

div.chess_board div.chess_player_white.chess_piece_queen {
  background-image: url("../../img/pieces/bn/wQ.png");
}

div.chess_board div.chess_player_white.chess_piece_king {
  background-image: url("../../img/pieces/bn/wK.png");
}

div.chess_board div.chess_player_white.chess_piece_fox {
  background-image: url("../../img/pieces/bn/wF.png");
}

div.chess_board div.chess_player_black.chess_piece_fox {
  background-image: url("../../img/pieces/bn/bF.png");
} /*NUEVA PIEZA*/
div.chess_board div.chess_player_white.chess_piece_man {
  background-image: url("../../img/pieces/bn/wM.png");
}

div.chess_board div.chess_player_black.chess_piece_man {
  background-image: url("../../img/pieces/bn/bM.png");
}

div.chess_board div.chess_player_white.chess_piece_frog {
  background-image: url("../../img/pieces/bn/frog.png");
}

div.chess_board div.chess_piece_1 {
  background-image: url("../../img/pieces/fichas/f1.svg");
}

div.chess_board div.chess_piece_2 {
  background-image: url("../../img/pieces/fichas/f2.svg");
}

div.chess_board div.chess_piece_3 {
  background-image: url("../../img/pieces/fichas/f3.svg");
}

div.chess_board div.chess_piece_4 {
  background-image: url("../../img/pieces/fichas/f4.svg");
}

div.chess_board div.chess_piece_5 {
  background-image: url("../../img/pieces/fichas/f5.svg");
}

div.chess_board div.chess_piece_6 {
  background-image: url("../../img/pieces/fichas/f6.svg");
}

div.chess_board div.chess_piece_7 {
  background-image: url("../../img/pieces/fichas/f7.svg");
}

div.chess_board div.chess_piece_8 {
  background-image: url("../../img/pieces/fichas/f8.svg");
}

div.chess_board div.chess_piece_9 {
  background-image: url("../../img/pieces/fichas/f9.svg");
}

div.chess_board div.chess_piece_10 {
  background-image: url("../../img/pieces/fichas/f10.svg");
}

div.chess_board div.chess_piece_11 {
  background-image: url("../../img/pieces/fichas/f11.svg");
}

div.chess_board div.chess_piece_12 {
  background-image: url("../../img/pieces/fichas/f12.svg");
}

div.chess_board div.chess_piece_13 {
  background-image: url("../../img/pieces/fichas/f13.svg");
}

div.chess_board div.chess_piece_14 {
  background-image: url("../../img/pieces/fichas/f14.svg");
}

div.chess_board div.chess_piece_15 {
  background-image: url("../../img/pieces/fichas/f15.svg");
}

div.chess_board div.chess_piece_checked {
  background-image: url("../../img/pieces/fichas/checked.svg");
}

div.chess_board div.chess_piece_grass {
  background-image: url("../../img/pieces/fichas/grass.svg");
}

div.chess_board div.chess_piece_city {
  background-image: url("../../img/pieces/fichas/city.png");
}

div.chess_board div.chess_piece_rock {
  background-image: url("../../img/pieces/fichas/rock.svg");
}

div.chess_board div.chess_piece_target {
  background-image: url("../../img/pieces/fichas/target.svg");
}

div.chess_board div.chess_piece_1b {
  background-image: url("../../img/pieces/fichas/f1b.svg");
}

div.chess_board div.chess_piece_2b {
  background-image: url("../../img/pieces/fichas/f2b.svg");
}

div.chess_board div.chess_piece_3b {
  background-image: url("../../img/pieces/fichas/f3b.svg");
}

div.chess_board div.chess_piece_4b {
  background-image: url("../../img/pieces/fichas/f4b.svg");
}

div.chess_board div.chess_piece_5b {
  background-image: url("../../img/pieces/fichas/f5b.svg");
}

div.chess_board div.chess_piece_1w {
  background-image: url("../../img/pieces/fichas/f1w.svg");
}

div.chess_board div.chess_piece_2w {
  background-image: url("../../img/pieces/fichas/f2w.svg");
}

div.chess_board div.chess_piece_3w {
  background-image: url("../../img/pieces/fichas/f3w.svg");
}

div.chess_board div.chess_piece_4w {
  background-image: url("../../img/pieces/fichas/f4w.svg");
}

div.chess_board div.chess_piece_5w {
  background-image: url("../../img/pieces/fichas/f5w.svg");
}

div.chess_board div.chess_piece_xb {
  background-image: url("../../img/pieces/fichas/fxb.svg");
}

div.chess_board div.chess_piece_xw {
  background-image: url("../../img/pieces/fichas/fxw.svg");
}

div.chess_board,
div.chess_board div.chess_square,
div.chess_board div.chess_square > div {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

div.chess_board div.chess_square {
  position: relative;
  float: left;
  width: 12.5%;
  z-index: 0;
}

div.chess_board div.chess_square_last_column {
  float: none;
  overflow: hidden;
  width: auto !important;
}

div.chess_board div.chess_piece {
  text-align: center;
  line-height: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  height: 100%;
}

div.chess_board div.chess_piece:after {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
}

div.chess_board div.chess_label {
  z-index: 0;
  position: absolute;
}

div.chess_board div.chess_label_row,
div.chess_board div.chess_label_column_reversed {
  top: 2px;
  left: 2px;
}

div.chess_board div.chess_label_column,
div.chess_board div.chess_label_row_reversed {
  bottom: 2px;
  right: 2px;
}

div.chess_board div.chess_label_hidden {
  visibility: hidden;
}

div.disabled > div.chess_board {
  opacity: 0.3;
}

/* 
Customizing the chessboard 
*/
/* The color of the light and dark square on the board. */
div.chess_board div.chess_square_light {
  background-color: #ffffff;
}

div.chess_board div.chess_square_dark {
  background-color: #D6E5ED;
}

/* The color of the light and dark squares when selected. */
div.chess_board div.chess_square_light.chess_square_selected {
  background-color: #eeeeee;
}

div.chess_board div.chess_square_dark.chess_square_selected {
  background-color: #c5c1a1;
}

div.chess_board div.outside {
  border-style: solid;
  border-width: thin;
  border-color: powderblue;
}

/*
Customizing chess pieces 
*/
div.chess_board div.chess_player_white {
  color: #285e8e;
}

div.chess_board div.chess_player_black {
  color: #BD4932;
}

div.chess_board div.chess_square_selected div.chess_player_white {
  color: #487eae;
}

div.chess_board div.chess_square_selected div.chess_player_black {
  color: #dd6952;
}

div.chess_board div.chess_square_light.chess_square_valid_move {
  -webkit-box-shadow: inset 0 0 3px 3px #CDE855;
  -moz-box-shadow: inset 0 0 3px 3px #CDE855;
  box-shadow: inset 0 0 3px 3px #CDE855;
}

div.chess_board div.chess_square_dark.chess_square_valid_move {
  -webkit-box-shadow: inset 0 0 3px 3px #A7C520;
  -moz-box-shadow: inset 0 0 3px 3px #A7C520;
  box-shadow: inset 0 0 3px 3px #A7C520;
}

div.chess_board div.chess_square {
  -webkit-font-smoothing: antialiased;
}

div.chess_board div.chess_square {
  cursor: pointer;
}

div.chess_board div.chess_piece_none {
  cursor: auto;
}

div.chess_board div.chess_square_light > div.chess_label {
  color: #e5e1d1;
}

div.chess_board div.chess_square_dark > div.chess_label {
  color: #ffffff;
}

div.chess_board div.chess_label {
  font-family: "Helvetica Neue", "Helvetica", Helvetica, Arial, sans-serif;
  font-weight: normal;
  font-style: normal;
  font-variant: small-caps;
}

.chess_piece_shadow {
  background: rgba(255, 0, 0, 0.4);
}

/**********************************************************************************************Elementos específicos*/
.lineKO {
  color: red;
}

.custom-switch, .custom-switch > * {
  cursor: pointer;
}

.lineOK {
  color: green;
}

.lineWarning {
  color: lightseagreen;
}

.grupoClase {
  background-color: white;
  border-radius: 15px;
  padding: 20px;
  margin-bottom: 20px;
}

.fechaMensajeChat {
  color: darkgray;
  font-size: small;
}

.fuenteReloj {
  font-family: "Roboto Mono", monospace;
  font-size: x-large;
}

.fuenteRelojXL {
  font-family: "Roboto Mono", monospace;
  font-size: xx-large;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

/* --------------------------help area start-------------------- */
ul.cloud {
  list-style: none;
  padding-left: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  line-height: 2.5rem;
  max-width: 400px;
}

ul.cloud li {
  color: #a33;
  display: block;
  font-size: 1.5rem;
  padding: 0.125rem 0.25rem;
  text-decoration: none;
  position: relative;
}

ul.cloud li[data-weight="1"] {
  --size: 1;
}

ul.cloud li[data-weight="2"] {
  --size: 2;
}

ul.cloud li[data-weight="3"] {
  --size: 3;
}

ul.cloud li[data-weight="4"] {
  --size: 4;
}

ul.cloud li[data-weight="5"] {
  --size: 5;
}

ul.cloud li[data-weight="6"] {
  --size: 6;
}

ul.cloud li[data-weight="7"] {
  --size: 7;
}

ul.cloud li[data-weight="8"] {
  --size: 8;
}

ul.cloud li[data-weight="9"] {
  --size: 9;
}

ul.cloud li {
  --size: 4;
  font-size: calc(var(--size) * 0.25rem + 0.5rem);
}

ul.cloud li:nth-child(2n+1) {
  color: #181;
}

ul.cloud li:nth-child(3n+1) {
  color: #33a;
}

ul.cloud li:nth-child(4n+1) {
  color: #c38;
}

/* --------------------------help area end-------------------- */
